# SVN revision used
%global svnrel 1340

Name:		jide-oss
Version:	2.7.6
Release:	11.%{svnrel}svn%{?dist}
Summary:	Swing component library built on top of Java/Swing
License:	GPLv2 with exceptions
URL:		https://jide-oss.dev.java.net/

#This is an svn snapshot, to get this tarball :
#then to checkout the project source repository : svn checkout https://jide-oss.dev.java.net/svn/jide-oss/branches/trunk_%{version} jide-oss --username guest
#create the tarball : tar -cjvf jide-oss-%{version}-%{svnrel}svn.tar.bz2 jide-oss

Source0:	%{name}-%{version}-%{svnrel}svn.tar.bz2

#Patch0: remove an unknown character
Patch0:		jide-oss-Eclipse3xJideTabbedPaneUI.java.patch
#Patch1: use a standard component instead of a vendor specific extension
Patch1:		jide-oss-AquaJidePopupMenuUI.java.patch
Patch2:		jide-oss-name-clash.patch

BuildArch:	noarch

BuildRequires:	jpackage-utils
BuildRequires:	dos2unix
BuildRequires:	unix2dos
BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	ant

Requires:	java >= 1:1.6.0

%description
JIDE Common Layer is Swing component library built on top of Java/Swing.
It is also the foundation of other component products from JIDE.
This project has over 30 Swing components and over 100k lines of code.
It greatly enhanced the default component set provided by Swing and allow 
developers to focus on business logic layer instead of making components.

JIDE Common Layer was originally developed by JIDE Software developers
as a foundation in order to build other more advanced components.
In April of 2007, JIDE Software decided to open source this common layer
so that more and more developers can leverage them instead of wasting time
building them again.

%package javadoc
Summary:	User documentation for %{name}

%description javadoc
User documentation for %{name}.

%package doc
Summary:	User documentation for %{name}

%description doc
User documentation for %{name}.

%prep
%setup -q -n %{name}
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;
sed -i "s|\r||g" LICENSE.txt

%patch0 -p1 -b .unknown_character
%patch1 -p1 -b .replace_aquapopupmenuui
dos2unix src/com/jidesoft/utils/DateUtils.java
dos2unix src/com/jidesoft/swing/CheckBoxListWithSelectable.java
%patch2 -p2
unix2dos src/com/jidesoft/utils/DateUtils.java
unix2dos src/com/jidesoft/swing/CheckBoxListWithSelectable.java

%build
%ant javadoc jar

%install
install -D -p -m 644 %{name}-%{version}.jar \
	%{buildroot}%{_javadir}/%{name}.jar

install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -rf -p javadoc/* %{buildroot}%{_javadocdir}/%{name}


%files
%doc LICENSE.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}

%files doc
%doc docs/JIDE_Common_Layer_Developer_Guide.pdf

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.6-11.1340svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 21 2014 Michael Simacek <msimacek@redhat.com> - 2.7.6-10.1340svn
- Update to current packaging guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.6-9.1340svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.6-8.1340svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.6-7.1340svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 22 2012 Jiri Vanek <jvanek@redhat.com> 2.7.6-6.1340svn
- Resolves: rhbz#796342
- Added  patch2, jide-oss-name-clash.patch to fix JDK7 name clash
- Added and used build requirements for dos2unix and unix2dos

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.6-5.1340svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.6-4.1340svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 07 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 2.7.6-3.1340svn
- Fix a missing doc package

* Sat Dec 05 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 2.7.6-2.1340svn
- New svn snapshot

* Fri Aug 07 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 2.7.1-3.1181svn
- Added doc package.

* Thu Aug 06 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 2.7.1-2.1181svn
- Removed Build Dependency on dos2unix.
- Used the svn revision in the rpm name.

* Wed Aug 05 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 2.7.1-1.20090805svn
- Initial package for Fedora.
